import request from '@/utils/request'

// 查询播报任务列表
export function listBroadcastTask(query) {
  return request({
    url: '/base/broadcastTask/list',
    method: 'get',
    params: query
  })
}

// 查询播报任务详细
export function getBroadcastTask(id) {
  return request({
    url: '/base/broadcastTask/' + id,
    method: 'get'
  })
}

// 新增播报任务
export function addBroadcastTask(data) {
  return request({
    url: '/base/broadcastTask',
    method: 'post',
    data: data
  })
}

// 修改播报任务
export function updateBroadcastTask(data) {
  return request({
    url: '/base/broadcastTask',
    method: 'put',
    data: data
  })
}

// 删除播报任务
export function delBroadcastTask(id) {
  return request({
    url: '/base/broadcastTask/' + id,
    method: 'delete'
  })
}
